summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-07 19:09:29 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-07 19:09:29 +0100
commite1af1055ed11b25df42c8a7a32c250da346b08b7 (patch)
tree22cba320bc01cacf93218e1e661cf93b75659d13
parente1628ad8f3e63428888b42d0c49c3fe6b3c9d006 (diff)
init.sh: check XBMK_CACHE is a directory instead
it doesn't matter if it's not a file. that's the wrong check. Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/init.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/init.sh b/include/init.sh
index 1bf52eef..1a01de45 100644
--- a/include/init.sh
+++ b/include/init.sh
@@ -131,7 +131,7 @@ xbmk_set_env()
[ -L "$XBMK_CACHE" ] && [ "$XBMK_CACHE" = "$xbmkpwd/cache" ] && \
err "cachedir '$xbmkpwd/cache' is a symlink"
[ -L "$XBMK_CACHE" ] && export XBMK_CACHE="$xbmkpwd/cache"
- [ -f "$XBMK_CACHE" ] && err "cachedir '$XBMK_CACHE' is a file"; :
+ [ -d "$XBMK_CACHE" ] || err "cachedir '$XBMK_CACHE' is a file"; :
# if "y": a coreboot target won't be built if target.cfg says release="n"
# (this is used to exclude certain build targets from releases)